diff --git a/src/main/java/net/minecraft/server/net/PlayerList.java b/src/main/java/net/minecraft/server/net/PlayerList.java
index 7e0197858..864b73f0e 100644
--- a/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -1,10 +1,10 @@
 package net.minecraft.server.net;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.data.registry.Registries;
-import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.server.entity.player.EntityPlayerMP;
-import net.minecraft.server.net.handler.NetLoginHandler;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.net.handler.LoginPacketHandler;
 import net.minecraft.core.net.packet.*;
 import net.minecraft.server.player.PlayerManager;
 import net.minecraft.server.world.ServerPlayerController;
@@ -25,7 +25,7 @@ import java.util.*;
 public class PlayerList
 {
     public static Logger logger = Logger.getLogger("Minecraft");
-    public List<EntityPlayerMP> playerEntities;
+    public List<ServerPlayer> playerEntities;
     private final MinecraftServer server;
     private final PlayerManager[] playerManagers;
     private final Set<String> bans;
@@ -73,7 +73,7 @@ public class PlayerList
         playerIo = aworldserver[0].getSaveHandler().getPlayerFileData();
     }
 
-    public void func_28172_a(EntityPlayerMP player)
+    public void func_28172_a(ServerPlayer player)
     {
         for (PlayerManager playerManager : playerManagers) {
             playerManager.removePlayer(player);
@@ -93,12 +93,12 @@ public class PlayerList
         return playerManagers[dim];
     }
 
-    public void load(EntityPlayerMP player)
+    public void load(ServerPlayer player)
     {
         playerIo.load(player);
     }
 
-    public void playerLoggedIn(EntityPlayerMP player)
+    public void playerLoggedIn(ServerPlayer player)
     {
         playerEntities.add(player);
         player.playerNetServerHandler.handleSendInitialPlayerList();
@@ -117,12 +117,12 @@ public class PlayerList
         getPlayerManager(player.dimension).addPlayer(player);
     }
 
-    public void func_613_b(EntityPlayerMP entityplayermp)
+    public void func_613_b(ServerPlayer entityplayermp)
     {
         getPlayerManager(entityplayermp.dimension).func_543_c(entityplayermp);
     }
 
-    public void playerLoggedOut(EntityPlayerMP entityplayermp)
+    public void playerLoggedOut(ServerPlayer entityplayermp)
     {
         playerIo.save(entityplayermp);
         server.getDimensionWorld(entityplayermp.dimension).setEntityDead(entityplayermp);
@@ -130,7 +130,7 @@ public class PlayerList
         getPlayerManager(entityplayermp.dimension).removePlayer(entityplayermp);
     }
 
-    public EntityPlayerMP getPlayerForLogin(NetLoginHandler handler, String username)
+    public ServerPlayer getPlayerForLogin(LoginPacketHandler handler, String username)
     {
         if (bans.contains(username.trim().toLowerCase()))
         {
@@ -157,17 +157,17 @@ public class PlayerList
         }
         for (int i = 0; i < playerEntities.size(); i++)
         {
-            EntityPlayerMP player = playerEntities.get(i);
+            ServerPlayer player = playerEntities.get(i);
             if (player.username.equalsIgnoreCase(username))
             {
                 player.playerNetServerHandler.kickPlayer("You are logged in from another location!");
             }
         }
 
-        return new EntityPlayerMP(server, server.getDimensionWorld(0), username, new ServerPlayerController(server.getDimensionWorld(0)));
+        return new ServerPlayer(server, server.getDimensionWorld(0), username, new ServerPlayerController(server.getDimensionWorld(0)));
     }
 
-    public EntityPlayerMP recreatePlayerEntity(EntityPlayerMP previousPlayer, int i)
+    public ServerPlayer recreatePlayerEntity(ServerPlayer previousPlayer, int i)
     {
         server.getEntityTracker(previousPlayer.dimension).removeTrackedPlayerSymmetric(previousPlayer);
         server.getEntityTracker(previousPlayer.dimension).untrackEntity(previousPlayer);
@@ -176,7 +176,7 @@ public class PlayerList
         server.getDimensionWorld(previousPlayer.dimension).removePlayer(previousPlayer);
         ChunkCoordinates chunkcoordinates = previousPlayer.getPlayerSpawnCoordinate();
         previousPlayer.dimension = i;
-        EntityPlayerMP newPlayer = new EntityPlayerMP(server, server.getDimensionWorld(previousPlayer.dimension), previousPlayer.username, new ServerPlayerController(server.getDimensionWorld(previousPlayer.dimension)));
+        ServerPlayer newPlayer = new ServerPlayer(server, server.getDimensionWorld(previousPlayer.dimension), previousPlayer.username, new ServerPlayerController(server.getDimensionWorld(previousPlayer.dimension)));
         newPlayer.id = previousPlayer.id;
         newPlayer.chatColor = previousPlayer.chatColor;
         newPlayer.nickname = previousPlayer.nickname;
@@ -187,7 +187,7 @@ public class PlayerList
         //entityplayermp1.setGamemodeOnLogin(entityplayermp.gamemode);
         if (chunkcoordinates != null)
         {
-            ChunkCoordinates chunkcoordinates1 = EntityPlayer.getValidBedSpawnCoordinates(server.getDimensionWorld(previousPlayer.dimension), chunkcoordinates);
+            ChunkCoordinates chunkcoordinates1 = Player.getValidBedSpawnCoordinates(server.getDimensionWorld(previousPlayer.dimension), chunkcoordinates);
             if (chunkcoordinates1 != null)
             {
                 newPlayer.moveTo((float) chunkcoordinates1.x + 0.5F, (float) chunkcoordinates1.y + 0.1F, (float) chunkcoordinates1.z + 0.5F, 0.0F, 0.0F);
@@ -195,15 +195,15 @@ public class PlayerList
             }
             else
             {
-                newPlayer.playerNetServerHandler.sendPacket(new Packet70Bed(0));
+                newPlayer.playerNetServerHandler.sendPacket(new BedMessagePacket(0));
             }
         }
         worldserver.chunkProviderServer.prepareChunk((int) newPlayer.x >> 4, (int) newPlayer.z >> 4);
         for (; worldserver.getCubes(newPlayer, newPlayer.bb).size() != 0; newPlayer.setPos(newPlayer.x, newPlayer.y + 1.0D, newPlayer.z))
         {
         }
-        newPlayer.playerNetServerHandler.sendPacket(new Packet9Respawn((byte) newPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.worldType)));
-        server.playerList.sendPacketToAllPlayers(new Packet41EntityPlayerGamemode(newPlayer.id, newPlayer.gamemode.getId()));
+        newPlayer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) newPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.worldType)));
+        server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(newPlayer.id, newPlayer.gamemode.getId()));
         newPlayer.playerNetServerHandler.teleportAndRotate(newPlayer.x, newPlayer.y, newPlayer.z, newPlayer.yRot, newPlayer.xRot);
         func_28170_a(newPlayer, worldserver);
         getPlayerManager(newPlayer.dimension).addPlayer(newPlayer);
@@ -211,51 +211,51 @@ public class PlayerList
         playerEntities.add(newPlayer);
         newPlayer.func_20057_k();
         newPlayer.func_22068_s();
-        newPlayer.playerNetServerHandler.sendPacket(new Packet74GameRule(server.getDimensionWorld(0).getLevelData().getGameRules()));
+        newPlayer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
         return newPlayer;
     }
 
-    public void sendPlayerToOtherDimension(EntityPlayerMP entityplayermp, int targetDim, boolean generatePortal)
+    public void sendPlayerToOtherDimension(ServerPlayer serverPlayer, int targetDim, boolean generatePortal)
     {
-        WorldServer worldserver = server.getDimensionWorld(entityplayermp.dimension);
-        Dimension lastDim = Dimension.getDimensionList().get(entityplayermp.dimension);
+        WorldServer worldserver = server.getDimensionWorld(serverPlayer.dimension);
+        Dimension lastDim = Dimension.getDimensionList().get(serverPlayer.dimension);
         Dimension newDim = Dimension.getDimensionList().get(targetDim);
 
-        entityplayermp.dimension = targetDim;
-        WorldServer worldserver1 = server.getDimensionWorld(entityplayermp.dimension);
-        entityplayermp.playerNetServerHandler.sendPacket(new Packet9Respawn((byte) entityplayermp.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver1.worldType)));
-        worldserver.removePlayer(entityplayermp);
-        entityplayermp.removed = false;
-        double d = entityplayermp.x;
-        double d1 = entityplayermp.z;
+        serverPlayer.dimension = targetDim;
+        WorldServer worldserver1 = server.getDimensionWorld(serverPlayer.dimension);
+        serverPlayer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) serverPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver1.worldType)));
+        worldserver.removePlayer(serverPlayer);
+        serverPlayer.removed = false;
+        double d = serverPlayer.x;
+        double d1 = serverPlayer.z;
         double d2 = 8D;
 
         d *= Dimension.getCoordScale(lastDim, newDim);
         d1 *= Dimension.getCoordScale(lastDim, newDim);
-        entityplayermp.moveTo(d, entityplayermp.y, d1, entityplayermp.yRot, entityplayermp.xRot);
-        if (entityplayermp.isAlive())
+        serverPlayer.moveTo(d, serverPlayer.y, d1, serverPlayer.yRot, serverPlayer.xRot);
+        if (serverPlayer.isAlive())
         {
-            worldserver.updateEntityWithOptionalForce(entityplayermp, false);
+            worldserver.updateEntityWithOptionalForce(serverPlayer, false);
         }
 
-        if (entityplayermp.isAlive())
+        if (serverPlayer.isAlive())
         {
-            worldserver1.entityJoinedWorld(entityplayermp);
-            entityplayermp.moveTo(d, entityplayermp.y, d1, entityplayermp.yRot, entityplayermp.xRot);
-            worldserver1.updateEntityWithOptionalForce(entityplayermp, false);
+            worldserver1.entityJoinedWorld(serverPlayer);
+            serverPlayer.moveTo(d, serverPlayer.y, d1, serverPlayer.yRot, serverPlayer.xRot);
+            worldserver1.updateEntityWithOptionalForce(serverPlayer, false);
             if (generatePortal){
                 worldserver1.chunkProviderServer.chunkLoadOverride = true;
-                (new PortalHandler()).teleportEntity(worldserver1, entityplayermp, lastDim, newDim);
+                (new PortalHandler()).teleportEntity(worldserver1, serverPlayer, lastDim, newDim);
                 worldserver1.chunkProviderServer.chunkLoadOverride = false;
             }
         }
-        func_28172_a(entityplayermp);
-        entityplayermp.playerNetServerHandler.teleportAndRotate(entityplayermp.x, entityplayermp.y, entityplayermp.z, entityplayermp.yRot, entityplayermp.xRot);
-        server.playerList.sendPacketToAllPlayers(new Packet41EntityPlayerGamemode(entityplayermp.id, entityplayermp.gamemode.getId()));
-        entityplayermp.setWorld(worldserver1);
-        func_28170_a(entityplayermp, worldserver1);
-        func_30008_g(entityplayermp);
-        entityplayermp.playerNetServerHandler.sendPacket(new Packet74GameRule(server.getDimensionWorld(0).getLevelData().getGameRules()));
+        func_28172_a(serverPlayer);
+        serverPlayer.playerNetServerHandler.teleportAndRotate(serverPlayer.x, serverPlayer.y, serverPlayer.z, serverPlayer.yRot, serverPlayer.xRot);
+        server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(serverPlayer.id, serverPlayer.gamemode.getId()));
+        serverPlayer.setWorld(worldserver1);
+        func_28170_a(serverPlayer, worldserver1);
+        func_30008_g(serverPlayer);
+        serverPlayer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
     }
 
     public void onTick()
@@ -276,7 +276,7 @@ public class PlayerList
     {
         for (int i = 0; i < playerEntities.size(); i++)
         {
-            EntityPlayerMP entityplayermp = playerEntities.get(i);
+            ServerPlayer entityplayermp = playerEntities.get(i);
             entityplayermp.playerNetServerHandler.sendPacket(packet);
         }
 
@@ -286,8 +286,8 @@ public class PlayerList
     {
         for (int i = 0; i < playerEntities.size(); i++)
         {
-            EntityPlayerMP entityplayermp = playerEntities.get(i);
-            entityplayermp.playerNetServerHandler.sendPacket(new Packet3Chat(message, 0, AES.keyChain.get(entityplayermp.username)));
+            ServerPlayer entityplayermp = playerEntities.get(i);
+            entityplayermp.playerNetServerHandler.sendPacket(new ChatPacket(message, 0, AES.keyChain.get(entityplayermp.username)));
         }
 
     }
@@ -296,7 +296,7 @@ public class PlayerList
     {
         for (int j = 0; j < playerEntities.size(); j++)
         {
-            EntityPlayerMP entityplayermp = playerEntities.get(j);
+            ServerPlayer entityplayermp = playerEntities.get(j);
             if (entityplayermp.dimension == i)
             {
                 entityplayermp.playerNetServerHandler.sendPacket(packet);
@@ -519,11 +519,11 @@ public class PlayerList
         return ops.contains(s.trim().toLowerCase());
     }
     @Nullable
-    public EntityPlayerMP getPlayerEntity(String s)
+    public ServerPlayer getPlayerEntity(String s)
     {
         for (int i = 0; i < playerEntities.size(); i++)
         {
-            EntityPlayerMP entityplayermp = playerEntities.get(i);
+            ServerPlayer entityplayermp = playerEntities.get(i);
             if (entityplayermp.username.equalsIgnoreCase(s))
             {
                 return entityplayermp;
@@ -535,10 +535,10 @@ public class PlayerList
 
     public void sendChatMessageToPlayer(String s, String s1)
     {
-        EntityPlayerMP entityplayermp = getPlayerEntity(s);
+        ServerPlayer entityplayermp = getPlayerEntity(s);
         if (entityplayermp != null)
         {
-            entityplayermp.playerNetServerHandler.sendPacket(new Packet3Chat(s1));
+            entityplayermp.playerNetServerHandler.sendPacket(new ChatPacket(s1));
         }
     }
 
@@ -547,10 +547,10 @@ public class PlayerList
         sendPacketToOtherPlayersAroundPoint(null, x, y, z, radius, dimension, packet);
     }
 
-    public void sendPacketToOtherPlayersAroundPoint(EntityPlayer player, double x, double y, double z,
-                                               double radius, int dimension, Packet packet)
+    public void sendPacketToOtherPlayersAroundPoint(Player player, double x, double y, double z,
+                                                    double radius, int dimension, Packet packet)
     {
-        for (EntityPlayerMP otherPlayer : playerEntities) {
+        for (ServerPlayer otherPlayer : playerEntities) {
             if (otherPlayer == player || otherPlayer.dimension != dimension) {
                 continue;
             }
@@ -566,13 +566,13 @@ public class PlayerList
 
     public void sendChatMessageToAllOps(String s)
     {
-        Packet3Chat packet3chat = new Packet3Chat(s);
+        ChatPacket chatPacket = new ChatPacket(s);
         for (int i = 0; i < playerEntities.size(); i++)
         {
-            EntityPlayerMP entityplayermp = playerEntities.get(i);
+            ServerPlayer entityplayermp = playerEntities.get(i);
             if (isOp(entityplayermp.username))
             {
-                entityplayermp.playerNetServerHandler.sendPacket(packet3chat);
+                entityplayermp.playerNetServerHandler.sendPacket(chatPacket);
             }
         }
 
@@ -580,7 +580,7 @@ public class PlayerList
 
     public boolean sendPacketToPlayer(String s, Packet packet)
     {
-        EntityPlayerMP entityplayermp = getPlayerEntity(s);
+        ServerPlayer entityplayermp = getPlayerEntity(s);
         if (entityplayermp != null)
         {
             entityplayermp.playerNetServerHandler.sendPacket(packet);
@@ -601,7 +601,7 @@ public class PlayerList
 
     }
 
-    public void sendTileEntityToPlayer(int i, int j, int k, TileEntity tileentity)
+    public void sendTileEntityToPlayer(int i, int j, int k, BlockEntity tileentity)
     {
     }
 
@@ -617,7 +617,7 @@ public class PlayerList
         saveWhiteList();
     }
 
-    public Set getWhitelist()
+    public Set<String> getWhitelist()
     {
         return whitelist;
     }
@@ -627,16 +627,16 @@ public class PlayerList
         loadWhiteList();
     }
 
-    public void func_28170_a(EntityPlayerMP entityplayermp, WorldServer worldserver)
+    public void func_28170_a(ServerPlayer entityplayermp, WorldServer worldserver)
     {
-        entityplayermp.playerNetServerHandler.sendPacket(new Packet4UpdateTime(worldserver.getWorldTime()));
+        entityplayermp.playerNetServerHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
 //        if(worldserver.func_27068_v())
 //        {
-//            entityplayermp.playerNetServerHandler.sendPacket(new Packet70Bed(1));
+//            entityplayermp.playerNetServerHandler.sendPacket(new BedMessagePacket(1));
 //        }
     }
 
-    public void func_30008_g(EntityPlayerMP entityplayermp)
+    public void func_30008_g(ServerPlayer entityplayermp)
     {
         entityplayermp.func_28017_a(entityplayermp.inventorySlots);
         entityplayermp.func_30001_B();
diff --git a/src/main/java/net/minecraft/server/net/handler/NetLoginHandler.java b/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
similarity index 64%
rename from src/main/java/net/minecraft/server/net/handler/NetLoginHandler.java
rename to src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
index 548a5a887..38bb40bb9 100644
--- a/src/main/java/net/minecraft/server/net/handler/NetLoginHandler.java
+++ b/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
@@ -3,8 +3,8 @@ package net.minecraft.server.net.handler;
 import net.minecraft.core.Global;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
-import net.minecraft.core.net.handler.NetHandler;
-import net.minecraft.server.entity.player.EntityPlayerMP;
+import net.minecraft.core.net.handler.PacketHandler;
+import net.minecraft.server.entity.player.ServerPlayer;
 import net.minecraft.core.net.NetworkManager;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.packet.*;
@@ -25,35 +25,35 @@ import java.util.Random;
 
 
 // Referenced classes of package net.minecraft.src:
-//            NetHandler, NetworkManager, Packet255KickDisconnect, Packet2Handshake, 
-//            Packet1Login, ThreadLoginVerifier, ServerConfigurationManager, EntityPlayerMP, 
-//            WorldServer, NetServerHandler, WorldProvider, Packet6SpawnPosition, 
-//            ChunkCoordinates, Packet3Chat, NetworkListenThread, Packet4UpdateTime, 
+//            PacketHandler, NetworkManager, DisconnectPacket, PreLoginPacket,
+//            LoginPacket, ThreadLoginVerifier, ServerConfigurationManager, ServerPlayer,
+//            WorldServer, ServerPacketHandler, WorldProvider, SetSpawnPositionPacket,
+//            ChunkCoordinates, ChatPacket, NetworkListenThread, SetTimePacket,
 //            Packet
 
-public class NetLoginHandler extends NetHandler
+public class LoginPacketHandler extends PacketHandler
 {
     public static String kickMessage = null;
 
-    public NetLoginHandler(MinecraftServer minecraftserver, Socket socket, String s)
+    public LoginPacketHandler(MinecraftServer minecraftserver, Socket socket, String s)
             throws IOException
     {
         finishedProcessing = false;
         loginTimer = 0;
         username = null;
-        packet1login = null;
+        loginPacket = null;
         serverId = "";
         mcServer = minecraftserver;
         netManager = new NetworkManager(socket, s, this);
-        netManager.packetSendDelay = 0;
+        netManager.fakeLag = 0;
     }
 
     public void tryLogin()
     {
-        if (packet1login != null)
+        if (loginPacket != null)
         {
-            doLogin(packet1login);
-            packet1login = null;
+            doLogin(loginPacket);
+            loginPacket = null;
         }
         if (loginTimer++ == 600)
         {
@@ -75,7 +75,7 @@ public class NetLoginHandler extends NetHandler
         try
         {
             if (!silent) logger.info("Disconnecting " + getUserAndIPString() + ": " + s);
-            netManager.addToSendQueue(new Packet255KickDisconnect(s));
+            netManager.addToSendQueue(new DisconnectPacket(s));
             netManager.serverShutdown();
             finishedProcessing = true;
         }
@@ -86,26 +86,26 @@ public class NetLoginHandler extends NetHandler
     }
 
     @Override
-	public void handleHandshake(Packet2Handshake packet2handshake)
+	public void handleHandshake(PreLoginPacket preLoginPacket)
     {
         if (mcServer.onlineMode)
         {
             serverId = Long.toHexString(rand.nextLong());
-            netManager.addToSendQueue(new Packet2Handshake(serverId));
+            netManager.addToSendQueue(new PreLoginPacket(serverId));
         }
         else
         {
-            netManager.addToSendQueue(new Packet2Handshake("-"));
+            netManager.addToSendQueue(new PreLoginPacket("-"));
         }
     }
 
     @Override
-	public void handleLogin(Packet1Login packet1login)
+	public void handleLogin(LoginPacket loginPacket)
     {
-        username = packet1login.username;
-        if (packet1login.playerEntityIdAndProtocolVersion != Global.MP_PROTOCOL_VERSION)
+        username = loginPacket.username;
+        if (loginPacket.playerEntityIdAndProtocolVersion != Global.MP_PROTOCOL_VERSION)
         {
-            if (packet1login.playerEntityIdAndProtocolVersion > Global.MP_PROTOCOL_VERSION)
+            if (loginPacket.playerEntityIdAndProtocolVersion > Global.MP_PROTOCOL_VERSION)
             {
                 kickUser("Outdated server!");
             }
@@ -117,17 +117,17 @@ public class NetLoginHandler extends NetHandler
         }
         if (!mcServer.onlineMode)
         {
-            doLogin(packet1login);
+            doLogin(loginPacket);
         }
         else
         {
-            (new ThreadLoginVerifier(this, packet1login)).start();
+            (new ThreadLoginVerifier(this, loginPacket)).start();
         }
     }
 
-    public void doLogin(Packet1Login packet1login)
+    public void doLogin(LoginPacket loginPacket)
     {
-        EntityPlayerMP entityplayermp = mcServer.playerList.getPlayerForLogin(this, packet1login.username);
+        ServerPlayer entityplayermp = mcServer.playerList.getPlayerForLogin(this, loginPacket.username);
         if (entityplayermp != null)
         {
             mcServer.playerList.load(entityplayermp);
@@ -135,13 +135,13 @@ public class NetLoginHandler extends NetHandler
             logger.info(getUserAndIPString() + " logged in with entity id " + entityplayermp.id + " at (" + entityplayermp.x + ", " + entityplayermp.y + ", " + entityplayermp.z + ")");
             WorldServer worldserver = mcServer.getDimensionWorld(entityplayermp.dimension);
             ChunkCoordinates chunkcoordinates = worldserver.getSpawnPoint();
-            NetServerHandler netserverhandler = new NetServerHandler(mcServer, netManager, entityplayermp);
+            ServerPacketHandler netserverhandler = new ServerPacketHandler(mcServer, netManager, entityplayermp);
             try
             {
-                netserverhandler.sendPacket(new Packet1Login("", entityplayermp.id, worldserver.getRandomSeed(), (byte) worldserver.dimension.id, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.dimensionData.getWorldType()), NetworkManager.PACKET_DELAY, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
+                netserverhandler.sendPacket(new LoginPacket("", entityplayermp.id, worldserver.getRandomSeed(), (byte) worldserver.dimension.id, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.dimensionData.getWorldType()), NetworkManager.PACKET_DELAY, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
 
                 Key aesKey = AES.generateKey();
-                netserverhandler.sendPacket(new Packet136SendKey(RSA.encrypt(AES.getKey(aesKey), RSA.getPublicKey(packet1login.publicKey))));
+                netserverhandler.sendPacket(new AESSendKeyPacket(RSA.encrypt(AES.getKey(aesKey), RSA.getPublicKey(loginPacket.publicKey))));
                 AES.keyChain.put(entityplayermp.username, aesKey);
             }
             catch (Exception e)
@@ -149,33 +149,33 @@ public class NetLoginHandler extends NetHandler
                 throw new RuntimeException(e);
             }
 
-            netserverhandler.sendPacket(new Packet6SpawnPosition(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z));
+            netserverhandler.sendPacket(new SetSpawnPositionPacket(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z));
             mcServer.playerList.func_28170_a(entityplayermp, worldserver);
-            mcServer.playerList.sendPacketToAllPlayers(new Packet3Chat(TextFormatting.YELLOW + entityplayermp.getDisplayName() + TextFormatting.YELLOW + " joined the game."));
-            mcServer.playerList.sendPacketToAllPlayers(new Packet72UpdatePlayerProfile(entityplayermp.username, entityplayermp.nickname, entityplayermp.score, entityplayermp.chatColor, true, entityplayermp.isOperator()));
+            mcServer.playerList.sendPacketToAllPlayers(new ChatPacket(TextFormatting.YELLOW + entityplayermp.getDisplayName() + TextFormatting.YELLOW + " joined the game."));
+            mcServer.playerList.sendPacketToAllPlayers(new UpdatePlayerProfilePacket(entityplayermp.username, entityplayermp.nickname, entityplayermp.score, entityplayermp.chatColor, true, entityplayermp.isOperator()));
 
             if (mcServer.joinMessage != null && mcServer.joinMessage.length() > 0)
             {
-                entityplayermp.playerNetServerHandler.sendPacket(new Packet3Chat(mcServer.joinMessage));
+                entityplayermp.playerNetServerHandler.sendPacket(new ChatPacket(mcServer.joinMessage));
             }
 
             mcServer.playerList.playerLoggedIn(entityplayermp);
             netserverhandler.teleportAndRotate(entityplayermp.x, entityplayermp.y, entityplayermp.z, entityplayermp.yRot, entityplayermp.xRot);
             mcServer.networkServer.addPlayer(netserverhandler);
-            mcServer.playerList.sendPacketToAllPlayers(new Packet41EntityPlayerGamemode(entityplayermp.id, entityplayermp.gamemode.getId()));
-            netserverhandler.sendPacket(new Packet4UpdateTime(worldserver.getWorldTime()));
+            mcServer.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(entityplayermp.id, entityplayermp.gamemode.getId()));
+            netserverhandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
             entityplayermp.func_20057_k();
             if (MinecraftServer.statsStatus)
             {
                 RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + mcServer.playerList.playerEntities.size());
             }
-            entityplayermp.playerNetServerHandler.sendPacket(new Packet143PhotoMode(mcServer.disablePhotoMode));
-            entityplayermp.playerNetServerHandler.sendPacket(new Packet74GameRule(mcServer.getDimensionWorld(0).getLevelData().getGameRules()));
+            entityplayermp.playerNetServerHandler.sendPacket(new PhotoModePacket(mcServer.disablePhotoMode));
+            entityplayermp.playerNetServerHandler.sendPacket(new GameRulePacket(mcServer.getDimensionWorld(0).getLevelData().getGameRules()));
 
             for (RecipeEntryBase<?, ?, ?> recipe : Registries.RECIPES.getAllSerializableRecipes()) {
-                entityplayermp.playerNetServerHandler.sendPacket(new Packet75RecipeSync(recipe,Registries.RECIPES.getAllSerializableRecipes().size()));
+                entityplayermp.playerNetServerHandler.sendPacket(new RecipeSyncPacket(recipe,Registries.RECIPES.getAllSerializableRecipes().size()));
             }
-            entityplayermp.playerNetServerHandler.sendPacket(new Packet201Ids());
+            entityplayermp.playerNetServerHandler.sendPacket(new SyncIDsPacket());
         }
         finishedProcessing = true;
     }
@@ -188,7 +188,7 @@ public class NetLoginHandler extends NetHandler
     }
 
     @Override
-    public void handlePingHandshake(Packet254PingHandshake packet) {
+    public void handlePingHandshake(PingHandshakePacket packet) {
         String msg = "";
         if (packet.pingHostString.equals("MC|PingHost")) {
             msg =
@@ -249,14 +249,14 @@ public class NetLoginHandler extends NetHandler
         return true;
     }
 
-    public static String getServerId(NetLoginHandler netloginhandler)
+    public static String getServerId(LoginPacketHandler netloginhandler)
     {
         return netloginhandler.serverId;
     }
 
-    public static Packet1Login setLoginPacket(NetLoginHandler netloginhandler, Packet1Login packet1login)
+    public static LoginPacket setLoginPacket(LoginPacketHandler netloginhandler, LoginPacket loginPacket)
     {
-        return netloginhandler.packet1login = packet1login;
+        return netloginhandler.loginPacket = loginPacket;
     }
 
     public static Logger logger = Logger.getLogger("Minecraft");
@@ -266,7 +266,7 @@ public class NetLoginHandler extends NetHandler
     private MinecraftServer mcServer;
     private int loginTimer;
     private String username;
-    private Packet1Login packet1login;
+    private LoginPacket loginPacket;
     private String serverId;
 
 }
